<?php

namespace Modules\RemoteData\ReportsDataWs\Config;

class View_Utils_FormAdmin extends \App\Mvc\View_Utils_FormAbstract
{

	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\View_Utils_FormAbstract::getForm()
	 */
	public function getForm()
	{
		$form = \Engine\Form\General::create();

		$fieldset = \Engine\Form\Container\Fieldset::create($this->lang['form']['fieldsets']['credentials']);
		$form->addContainer($fieldset);

		// authToken
		$fldToken = new \Engine\Form\Input\Password($this->lang['form']['formFields']['authToken'], 'wsAuthToken', $this->values['wsAuthToken']);
		$fldToken->setStyle('showGeneratePasswordButton', true);
		$fldToken->setStyle('showPassword', true);
		$fldToken->setStyle('randomPasswordStyle', [
			'length' => [32, 32],
			'includeNumbers'   => true,
			'includeLowercase' => true,
			'includeUppercase' => true,
			'includeSymbols' => false,
			'includeUtf8'=>		false,

		]);
		$fldToken->setMandatory(true);
		$fieldset->addElement($fldToken);

		$form->addElement(new \Engine\Form\Input\Hidden('', $this->submitButtonName, 1));

		return $form;
	}


}